www.cendio.com
Bug 5248 - Unable to zoom terminal window size with Ctrl+- on X11 clients
: Unable to zoom terminal window size with Ctrl+- on X11 clients
Status: CLOSED FIXED
: ThinLinc
Client
: 4.2.0
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
: 4677
:
  Show dependency treegraph
 
Reported: 2014-09-09 09:42 by
Modified: 2014-10-07 14:06 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-09-09 09:42:50
When running the native client on some distributions, you cannot zoom out from
a terminal window with Ctrl+-. This has been verified on Ubuntu, but also
reported to be a problem on Xubuntu and Archlinux. It works correctly with
CentOS 6 though. On the server, when running xev, we can see that a very
strange keysym is generated (something like 100000f).
------- Comment #2 From cendio 2014-09-09 12:28:12 -------
Apparently fixed by bug 4677, but I'd like to understand why this only happens
on some distributions before we close it.
------- Comment #3 From cendio 2014-09-10 14:33:30 -------
Verified to occur on Fedora 18 as well.
------- Comment #4 From cendio 2014-09-11 11:11:11 -------
Contrary to earlier claims, it is broken on CentOS as well. So it seems every
Linux (X11?) system is affected.
------- Comment #5 From cendio 2014-09-11 13:30:34 -------
Brain dead code found in FLTK:

>      if ((xevent.xkey.state & ControlMask) && keysym == '-') kp_buffer[0] = 0x1f; // ^_

No idea what this code is supposed to do. The commit message does not make
things clearer. I've suggested to the FLTK devels that it be removed.
------- Comment #6 From cendio 2014-09-15 14:01:02 -------
Removed upstream, but fixed in our builds by bug 4677.
------- Comment #7 From cendio 2014-09-30 13:43:20 -------
Verified with build 4506.